from __future__ import annotations

import cv2
import numpy as np

from .data_classes import RawImage


# https://learnopencv.com/how-to-select-a-bounding-box-roi-in-opencv-cpp-python/


def select_bounding_boxes(to_detect: str):
    raw_image = RawImage(to_detect)

    r = cv2.selectROI(raw_image.image)
    print(r)
